import request from '@/utils/httpRequest'
import { FLOW_PATH as prefix } from "../../AppPath";

export default class CcpmService {
  getByIdGenerate (id, processDefKey) {
    return request({
      url: prefix+'/ccpm_control/getByIdGenerate',
      method: 'get',
      params: {id: id, processDefKey: processDefKey}
    })
  }
  reimAudit (id, flag, comment, processDefKey) {
    return request({
      url: prefix+'/ccpm_reimbursement/reimAudit',
      method: 'get',
      params: {id: id, flag: flag, comment: comment, processDefKey: processDefKey}
    })
  }
	invoiceAudit (id, flag, comment, processDefKey,jsonData) {
		return request({
			url: prefix+'/ccpm_reimbursement/invoiceAudit',
			method: 'get',
			params: {id: id, flag: flag, comment: comment, processDefKey: processDefKey, jsonData: jsonData}
		})
	}
	queryByNumber(number){
		return request({
			url: prefix+'/ccpm_reimbursement/queryByNumber',
			method: 'get',
			params: {number: number}
		})

	}
}
